Subject: Re: bug#65837: 30.0.50; Debugger in non-main threads

From: Helmut Eller <[email-masked]>
Date: Sat, 09 Sep 2023 18:23:29 +0200

On Sat, Sep 09 2023, Eli Zaretskii wrote:

>> Is there a design/plan for how recursive-edit is supposed to work in
>> non-main threads?
>
> Not that I know of, no.  But you seem to be asking mainly about
> reading events, not about recursive-edit?

Well, the debugger calls recursive-edit and if it's not clear what
recursive-edit is supposed to do, then replacing recursive-edit with
something more reliable would be my first step to improving the
debugger.

Helmut